> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/media/advanced-filter.md).

# Advanced filter

Add rules to condition the search result.

#### View advanced filter query

View the defined advanced filter queries.

#### Refresh result

1. Click the "Refresh result"-text in the top right of the Rule set.

#### Move query into a new rule set

1. Click the icon in the top right of a Rule set.

#### Add rule to rule set

1. Click the "Add rule"-button at the center of the rule set.

{% hint style="info" %}
If there already is defined a rule then you will need to click the "+"-button either in the rule or the rule set.
{% endhint %}

#### Remove rule

1. Click the "x"-icon on a rule to remove it.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/media/advanced-filter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
